---
lang: en
title: 'API docs: cron.croncomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/cron
permalink: /doc/en/lb4/apidocs.cron.croncomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/cron](./cron.md) &gt; [CronComponent](./cron.croncomponent.md)

## CronComponent class

The CronComponent manages cron jobs. It serves as an extension point for cron jobs.

**Signature:**

```typescript
export declare class CronComponent implements Component, LifeCycleObserver 
```
**Implements:** [Component](./core.component.md)<!-- -->, [LifeCycleObserver](./core.lifecycleobserver.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(getJobs)](./cron.croncomponent._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `CronComponent` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[getJobs](./cron.croncomponent.getjobs.md)


</td><td>

`readonly`


</td><td>

Getter&lt;[CronJob](./cron.cronjob.md)<!-- -->\[\]&gt;


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[start()](./cron.croncomponent.start.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[stop()](./cron.croncomponent.stop.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


